Skip to content

The branch's reviews, oldest first

GET
https://app.gitpando.com/v1/monorepos/{owner}/{monorepo}/repos/{repo}/branches/{branch}/reviews

Authorisation

  • credentialoptionalHTTP
  • sessionoptionalAPI key in cookie

Path parameters

  • ownerstringrequired

    The monorepo's owner, a namespace (a person's login or an organization). Matched without case.

    pattern: ^[a-z0-9](?:[a-z0-9]|-(?=[a-z0-9])){0,38}$
  • monorepostringrequired

    The monorepo's name within its owner (or an old name). Matched without case.

    pattern: ^[a-z0-9](?:[a-z0-9._]|-(?!-)){0,38}$
  • repostringrequired

    The repo's name (projects-web).

  • branchstringrequired

    The branch name, / encoded as %2F.

Returns

200

OK

JSON
  • reviewsarray ofobjectrequired
    8 properties
    • idstringrequired
    • branchstringrequired
    • headstringrequired
    • verdictcommentorrequest_changesorapproverequired
    • authorstringrequired
    • created_atstringrequired
      format: date-time
    • bodyoptionalstring | null
    • commentsoptionalarray ofobject
      4 properties
      • pathstringrequired
      • bodystringrequired
      • lineoptionalinteger

        A line in the new file.

      • sideoptionalneworold
        Default: "new"
Navigation

Type to search…

↑↓ navigate↵ selectEsc close